Subject: Re: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Nov 2020 21:48:57 +0200

> From: Fatih Aydin <[email-masked]>
> Date: Sat, 14 Nov 2020 19:31:56 +0000
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> To make sure that it will solve the problem, I have applied the solution you suggested.
> Copied the source and changed '^direct' to '^DIRECT' and builded.
> 
> The proxy problem is solved, but the package-install gpg problem I mentioned (Error while verifying signature
> archive-contents.sig:) is still there.
> 
> Also I found another weird bug related to this:
> with English language environment visit 'https://www.google.com.tr' using eww, you will see the Turkish
> characters correctly.
> with Turkish language environment, do the same thing, you will see weird characters instead of Turkish
> characters.

The ELisp manual says:

     Some language environments modify the case conversions of ASCII
  characters; for example, in the Turkish language environment, the ASCII
  capital I is downcased into a Turkish dotless i (‘ı’).  This can
  interfere with code that requires ordinary ASCII case conversion, such
  as implementations of ASCII-based network protocols.  In that case, use
  the ‘with-case-table’ macro with the variable ASCII-CASE-TABLE, which
  stores the unmodified case table for the ASCII character set.

I guess we need to use this around forms that implement network
protocols.  At least this doesn't seem to help:

 M-: (with-case-table ascii-case-table (eww "https://www.google.com.tr")) RET